"use strict";

const Promise = require("bluebird");
const createSession = require("@modular-matrix/create-session");
const getFileURL = require(".");

return Promise.try(() => {
	return createSession("https://pixie.town/", { accessToken: require("../../../private/access-token") });
}).then((session) => {
	let url = getFileURL({
		session: session,
//		url: "mxc://pixie.town/NKsNxCkItRtbpRunyNYHCxsW",
		url: "mxc://matrix.org/qmhOpvpttfkmucqyycSzcfvk",
		filename: "image.jpg"
	});

	console.log(url);
});
